package items;

import pokemon.Pokemon;
import storage.Trainer;

import java.util.List;

/**
 * An abstract class representing a poke ball
 */
public abstract class AbstractPokeBall extends Item {
    /**
     * Instantiates a new poke ball
     * @param name <p>The name of the poke ball</p>
     * @param description <p>The description of the poke ball</p>
     */
    public AbstractPokeBall(String name, String description) {
        super(name, description);
    }

    /**
     * Uses a poke ball on an opponent
     * @param target <p>Which pokemon to target</p>
     * @param current <p>Current list the pokemon belongs to</p>
     * @param catcher <p>Where we send the pokemon on a successful capture</p>
     * @return <p>True if nothing went wrong. False otherwise</p>
     */
    public boolean use(Pokemon target, List<Pokemon> current, Trainer catcher) {
        return false;
    }
}
